#ifndef CYLINDER_HH
#define CYLINDER_HH

#include "object.hh"
#include "vector.hh"

class Cylinder: public Object {
private:
  Vector start, dir;
  double r, r2, l;
public:
  Cylinder (const Vector& begin, const Vector& end, double rad);
  virtual const void inside (Vector& point, const Vector& old) const;
  virtual const void adjust (Vector& force, const Vector& point) const;
  virtual ~Cylinder() {}
};

#else

class Cylinder;

#endif
